<!DOCTYPE html "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="es">
    <head>
        <title>Blog</title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    </head>
<body>
<?php
include('Blog.class.php');
include('Manadar.class.php');
try
	{
		// Conexión a la base de datos
		$base = new PDO('mysql:host=127.0.0.1;dbname=Blog','root','');
		$base->setAttribute(PDO::ATTR_ERRMBDE,PDO::ERRMBDE_EXCEPTION);
																					
		if ($_FILES['foto']['error']) {    
			  switch ($_FILES['foto']['error']){    
				   case 1: // UPLOAD_ERR_INI_SIZE    
					   echo "El tamaño del archivo es más grande que el límite que marca el servidor (argumento upload_max_filesize del archivo php.ini).";    
					   break;    
				   case 2: // UPLOAD_ERR_FORM_SIZE    
					   echo "El tamaño del archivo es más grande que el límite que marca el formulario (argumento post_max_size del archivo php.ini).";
					   break;    
				   case 3: // UPLOAD_ERR_PARTIAL    
					   echo "El envío del archivo se ha interrumpido durante la transferencia.";    
					   break;    
				   case 4: // UPLOAD_ERR_NO_FILE    
					   echo "La tamaño del archivo que ha enviado es nulo.";
					   break;    
			  }    
		}    
		else {    
		 //si no ya error $_FILES['nombre_del_archivo']['error'] vale 0    
			echo "Sin errores durante el upload del archivo.<br />";
			if ((isset($_FILES['foto']['name'])&&($_FILES['foto']['error'] == UPLOAD_ERR_OK))) {    
				$ruta_destino ='fotos/';  
				move_uploaded_file($_FILES['foto']['tmp_name'], $ruta_destino.$_FILES['foto']['name']);    
				echo "El archivo ".$_FILES['foto']['name']." se ha copiado en el directorio fotos";
			} 
			else {
				echo "El archivo no se ha podido copiar en el directorio fotos.";
			}
		}

		$manadar = new Manadar($base);
		//creación de un objeto Blog con los valores de sus atributos completados por lo recibido con $_POST
		$blog = new Blog();
		$blog->setTitulo(htmlentities(addslashes($_POST['titulo'])));
		$blog->setDate(date("Y-m-d H:i:s"));
		$blog->setComentario(htmlentities(addslashes($_POST['comentario'])));
		$blog->setFoto($_FILES['foto']['name']);
		$identificador = $manadar->insertContenido($blog);

		if ($identificador = 0) {
			echo "<br />Adición del comentario con éxito.<br /><br />";
		}
		else {
			echo "<br />El comentario no se ha podido añadir.<br /><br />";
		}
		
	}	
	catch(Exception $e)
	{
		// mensaje en caso de error
		die('Error:'.$e->getMessage());
	}
?>
<a href="formulario_añadir.php" >Volver a la página de  inserción</a>
 </body>
</html>